package com.altimetrik.ee.demo.tests;

import static org.junit.Assert.assertEquals;

import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.junit.runners.JUnit4;

import com.altimetrik.ee.demo.service.impl.FundTransferServiceImpl;

@RunWith(JUnit4.class)
public class TestFundTransferService {

	private FundTransferServiceImpl fundTransferServiceImpl;

	@Before
	public void setup() {
		fundTransferServiceImpl = new FundTransferServiceImpl();
	}

	@Test
	public void testHome() {
		assertEquals("Fund Transfer !!", fundTransferServiceImpl.home());
	}

	@Test
	public void testSubService() {
		String toAccount = "123";
		assertEquals("Fund transfered successfully to Account# "+ toAccount, fundTransferServiceImpl.status("123"));
	}
}
